Subject: Re: swap_dup: Bad swap file entry 00480020

From: "Bogdan Antonovici" <[email-masked]>
Date: Thu, 21 Jul 2005 13:14:12 -0500

I wasn't so worry about the driver because the same driver worked with a different application without seeing these kind of messages or oopses.
Dan, from your answer i understand that the swap code discovers a corruption in tables but why is swap code run when swap wasn't activated?
I will try to have a look on the driver code.

Bogdan
  ----- Original Message ----- 
  From: Dan Malek 
  To: bogdan antonovici 
  Cc: linuxppc-dev ; [email-masked] ; ppckernel 
  Sent: Thursday, July 21, 2005 12:59 PM
  Subject: Re: swap_dup: Bad swap file entry 00480020

  On Jul 21, 2005, at 11:29 AM, bogdan antonovici wrote:

  > At the time of swap messages i was running a proprietary driver, my
  > application and few daemons.

  Looks like your driver may have written over some of the page
  tables in the kernel space.

  > I look on the net for some clues but it's quite confusing, i noticed
  > many emails on swap_dup/swap_free error messages but i couldn't figure
  > out what should i search for.

  Those messages are likely due to a bug with swapping to disk
  that has been in some 2.4 kernels, but I don't believe that is
  the case here, since you don't have a disk or swapping enabled.

  -- Dan